%define upstream_name    CPAN-Changes
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Information about a particular release
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(version)
BuildArch:  noarch

%description
It is standard practice to include a Changes file in your distribution. The
purpose the Changes file is to help a user figure out what has changed
since the last release.

People have devised many ways to write the Changes file. A preliminary
specification has been created (the CPAN::Changes::Spec manpage) to
encourage module authors to write clear and concise Changes.

This module will help users programmatically read and write Changes files
that conform to the specification.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Apr 13 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 84280
- update to 0.16

* Tue Apr 12 2011 kharec <kharec> 0.150.0-1.mga1
+ Revision: 83539
- update to new version 0.15

* Mon Apr 04 2011 kharec <kharec> 0.130.0-1.mga1
+ Revision: 80521
- new version

* Sun Apr 03 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 80036
- update to 0.11

* Wed Mar 16 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 72322
- update to 0.08

* Mon Mar 14 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 71079
- imported package perl-CPAN-Changes


* Mon Mar 14 2011 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
